SOCU_TCPTableEntry Struct Reference

One entry of the TCP sockets table retrieved by using SOCU_GetNetworkOpt and NETOPT_TCP_TABLE. More...

`#include <soc.h>`

## Data Fields

u32 | state
struct sockaddr_storage | local
| Local address information.
struct sockaddr_storage | remote
| Remote address information.

## Detailed Description

One entry of the TCP sockets table retrieved by using SOCU_GetNetworkOpt and NETOPT_TCP_TABLE.

## Field Documentation

## state

u32 SOCU_TCPTableEntry::state

See also
  TCP states defines

The documentation for this struct was generated from the following file:

- include/3ds/services/soc.h